<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="ade72edfa4915bdc" weblate-flags="safe-html, strict-same">
        <source>= Initializer Lists Initializer lists can be used to construct or assign a &lt;&lt;ref_value&gt;&gt;:</source>
        <target state="translated">= 初始化列表 初始化列表可用于构造或赋值一个&amp;lt;&lt;ref_value&gt;&amp;gt;：&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">11</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4ef18e9e4907fc9c" weblate-flags="safe-html, strict-same">
        <source>Simple initializer lists produce an &lt;&lt;ref_array&gt;&gt;:</source>
        <target state="translated">简单的初始化列表会生成一个 &amp;lt;&lt;ref_array&gt;&amp;gt;：&lt;/ref_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">19</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7c676bcb1616d66a" weblate-flags="safe-html, strict-same">
        <source>Initializer lists can be nested. Here we construct an array as an element of an array:</source>
        <target state="translated">初始化列表可以嵌套。以下示例中，我们构造了一个以数组作为元素的数组：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">26</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e740f384b95aeba3" weblate-flags="safe-html, strict-same">
        <source>When a two element initializer list is nested within an enclosing initializer list, it is unclear whether it represents an &lt;&lt;ref_array&gt;&gt; or an &lt;&lt;ref_object&gt;&gt;:</source>
        <target state="translated">当一个包含两个元素的初始化列表嵌套在外部初始化列表中时，尚不明确它表示的是一个 &amp;lt;&lt;ref_array&gt;&amp;gt; 还是一个 &amp;lt;&lt;ref_object&gt;&amp;gt;：&lt;/ref_object&gt;&lt;/ref_array&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">34</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="970541568d02bf1c" weblate-flags="safe-html, strict-same">
        <source>In such cases, if every element consists of a string followed by a single value, then the enclosing initializer list is interpreted as an &lt;&lt;ref_object&gt;&gt;. Otherwise, it is interpreted as an &lt;&lt;ref_array&gt;&gt;.</source>
        <target state="translated">在这种情况下，如果每个元素均由一个字符串后跟一个值组成，则外层的初始化列表会被解释为一个 &amp;lt;&lt;ref_object&gt;&amp;gt;；否则，它会被解释为一个 &amp;lt;&lt;ref_array&gt;&amp;gt;。&lt;/ref_array&gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">43</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="73733223325d2b1c" weblate-flags="safe-html, strict-same">
        <source>To resolve the ambiguity manually, use an explicit constructor:</source>
        <target state="translated">要手动消除歧义，请使用显式构造函数：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1c2417aa0a57fb37" weblate-flags="safe-html, strict-same">
        <source>Initializer lists can be used to unambiguously construct or assign an &lt;&lt;ref_object&gt;&gt; or &lt;&lt;ref_array&gt;&gt;:</source>
        <target state="translated">初始化列表可用于明确地构造或赋值一个&amp;lt;&lt;ref_object&gt;&amp;gt; 或 &amp;lt;&lt;ref_array&gt;&amp;gt;：&lt;/ref_array&gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">59</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fa2cf8395148bc0c" weblate-flags="safe-html, strict-same">
        <source>Similarly, an initializer list for an &lt;&lt;ref_object&gt;&gt; is always interpreted as an &lt;&lt;ref_object&gt;&gt;. In such cases, the initializer list must be a list of key-value pairs. For example, the following code will not compile because `1` is not convertible to a string:</source>
        <target state="translated">同样，用于 &amp;lt;&lt;ref_object&gt;&amp;gt; 的初始化列表始终会被解释为 &amp;lt;&lt;ref_object&gt;&amp;gt;。此时，初始化列表必须由键值对组成。例如，以下代码无法编译，因为` `1 无法转换为字符串：&lt;/ref_object&gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">67</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c4862d8ea36b5a2f" weblate-flags="safe-html, strict-same">
        <source>The requirement for an initializer list to be interpreted as an &lt;&lt;ref_object&gt;&gt; or &lt;&lt;ref_array&gt;&gt; when initializing such an entity only applies to the outermost initializer list; subsequent nested elements will follow the usual ambiguity resolution rules.</source>
        <target state="translated">当初始化一个 &amp;lt;&lt;ref_object&gt;&amp;gt; 或 &amp;lt;&lt;ref_array&gt;&amp;gt; 时，要求初始化列表被解释为对应类型的规则仅适用于最外层的初始化列表；后续嵌套的元素将遵循常规的歧义解析规则。&lt;/ref_array&gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">77</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a44b1dc0f39de22e" weblate-flags="safe-html, strict-same">
        <source>Elements that are rvalues will be moved upon initialization:</source>
        <target state="translated">在初始化时，右值元素将被移动。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="98b33dea1b17cd18" weblate-flags="safe-html, strict-same">
        <source>In all cases, the &lt;&lt;ref_storage_ptr&gt;&gt; owned by an &lt;&lt;ref_object&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, or &lt;&lt;ref_value&gt;&gt; constructed from an initializer list will be propagated to each element, recursively.</source>
        <target state="translated">在所有情况下，通过初始化列表构造的 &amp;lt;&lt;ref_object&gt;&amp;gt;、&amp;lt;&lt;ref_array&gt;&amp;gt; 或 &amp;lt;&lt;ref_value&gt;&amp;gt; 所拥有的 &amp;lt;&lt;ref_storage_ptr&gt;&amp;gt; 都会递归地传播到每个元素。&lt;/ref_storage_ptr&gt;&lt;/ref_value&gt;&lt;/ref_array&gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">100</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
